Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 192809 - pstops bug with PageSetup options
Summary: pstops bug with PageSetup options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-05-23 10:59 UTC by Anton Guda
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.2.1-1.7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-20 09:48:45 UTC


Attachments (Terms of Use)
generated PDD file (deleted)
2006-05-23 10:59 UTC, Anton Guda
no flags Details
log from foomatic-rip (deleted)
2006-05-26 15:12 UTC, Anton Guda
no flags Details
Postscript file in /tmp (deleted)
2006-05-26 15:13 UTC, Anton Guda
no flags Details

Description Anton Guda 2006-05-23 10:59:54 UTC
Description of problem:
PPD file generated by system-config-printer or 
by CUPS inself for HP Lasejet 5P (6L, 4) have entries for halftoning.
It realy changes in PPD file (*Default...),
if changed ny UI.
But in printout nothing changes.
Moreover: if intercept PS to file
(by using *FoomaticRIPCommandLine: "cat > /tmp/test.ps" )
no entries of PS code, corresponding to halftones and some other
things (like pagesize) detected.


Version-Release number of selected component (if applicable):
system-config-printer-0.7.8-1
cups-1.2.0-6
foomatic-3.0.2-35.bcx (added more halftones for better diagnostic).

How reproducible:
Always.


Steps to Reproduce:
1. Setup any printer with ljet4 foomatic driver (recomended).
2. Change halftone
3. Print any page with gray areas.

  
Actual results:
The same printout with different halftones.

Expected results:
CUPS must insert PS codes for entries from PPD file,
so output must be different with different halftones.

Additional info:
It seems, that not only halftone options is broken,
but any with PS code.

Comment 1 Anton Guda 2006-05-23 10:59:54 UTC
Created attachment 129849 [details]
generated PDD file

Comment 2 Anton Guda 2006-05-23 12:37:06 UTC
Tested with cups-1.2.1-2 : same result.

Comment 3 Tim Waugh 2006-05-24 17:09:45 UTC
> Moreover: if intercept PS to file
> (by using *FoomaticRIPCommandLine: "cat > /tmp/test.ps" )
> no entries of PS code, corresponding to halftones and some other
> things (like pagesize) detected.

If you intercept the PostScript like that, it's no wonder -- foomatic-rip is the
program that adds those bits of PostScript in! :-)

Instead, please edit /etc/foomatic/filter.conf and add the line:

debug: 1

Then you will find a /tmp/foomatic-rip.ps which is the PostScript with PPD
additions.

Do you still see no PPD PostScript snippets in the generated PostScript?

Comment 4 Anton Guda 2006-05-26 15:12:07 UTC
Created attachment 130026 [details]
log from foomatic-rip

Comment 5 Anton Guda 2006-05-26 15:13:18 UTC
Created attachment 130027 [details]
Postscript file in /tmp

Comment 6 Anton Guda 2006-05-26 15:20:38 UTC
Tested: the same results (ps and log attached).
All postscript as in previos test,
as foomatic-rip calls *FoomaticRIPCommandLine
after inserting features.
As seen in log and PS, code for "resolution=600dpi"
inserted, but code for halftoning - not.
Log shows, that section about halftoning detected in PPD,
but no more.

Some more minor error:
foomatic-rip set bad locale for external programs
(gs eat it, but perl complains).


Comment 7 Tim Waugh 2006-06-01 13:30:26 UTC
The difference between the halftoning algorithm option and the resolution option
is that they go into different setup sections.  The PageSetup section is missing
its options.

This is a pstops bug; the 1.1.23 CUPS pstops filter works fine.

I'll report it upstream.

Comment 8 Tim Waugh 2006-06-01 13:34:14 UTC
Reported upstream:

  http://cups.org/str.php?L1740


Comment 9 Tim Waugh 2006-06-02 14:36:54 UTC
Should be fixed in 1.2.1-1.4, available currently at:

  http://people.redhat.com/twaugh/tmp/cups-fc5/


Comment 10 Anton Guda 2006-06-03 10:24:38 UTC
Tested 1.2.1-1.4: works fine!
I suppose we can close this bug.

P.S. Do you need path for foomatic for more halftones?


Comment 11 Tim Waugh 2006-06-08 10:51:36 UTC
Please verify that the problem remains fixed with this new test update:

  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=192809

You should be able to fetch it using this command, as root:

  yum --enablerepo=updates-testing update 'cups*'

Thanks.

Comment 12 Tim Waugh 2006-06-20 09:48:45 UTC
Anyway, works here.


Note You need to log in before you can comment on or make changes to this bug.